org.apache.cxf.transport.common.gzip

## Enum GZIPOutInterceptor.UseGzip

- java.lang.Object
- - java.lang.Enum<GZIPOutInterceptor.UseGzip>
  - - org.apache.cxf.transport.common.gzip.GZIPOutInterceptor.UseGzip

- All Implemented Interfaces:
    Serializable, Comparable<GZIPOutInterceptor.UseGzip>
  Enclosing class:
    GZIPOutInterceptor

      public static enum GZIPOutInterceptor.UseGzip
      extends Enum<GZIPOutInterceptor.UseGzip>

  Enum giving the possible values for whether we should gzip a particular message.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FORCE`
    `NO`
    `YES`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GZIPOutInterceptor.UseGzip` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static GZIPOutInterceptor.UseGzip[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NO

          public static final GZIPOutInterceptor.UseGzip NO

    - #### YES

          public static final GZIPOutInterceptor.UseGzip YES

    - #### FORCE

          public static final GZIPOutInterceptor.UseGzip FORCE

  - ### Method Detail

    - #### values

          public static GZIPOutInterceptor.UseGzip[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GZIPOutInterceptor.UseGzip c : GZIPOutInterceptor.UseGzip.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GZIPOutInterceptor.UseGzip valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Apache CXF